XBRL to JSON Converter API

Effortlessly parse and standardize XBRL data, converting it into a standardized JSON format within seconds without the need for coding. Quickly extract financial statements from annual and quarterly reports, such as 10-K, 10-Q, and 8-K documents

Dataset Size: All SEC EDGAR filings, exhibits, and attachments filed since 1993.

Data Update Frequency: Less than 300 milliseconds.

API Endpoint

POST https://api.secfilingdata.com/v1/filings/XbrlToJson/

Supported HTTP methods: GET

Authentication

All requests require an API token in the Authorization header.

Authorization: AUTH_TOKEN

Request Parameters

Parameter Type Required Description
url string Required Provide the URL of the filing,
either as an .htm/.html filing or index page URL,
or as the associated XBRL .xml filing URL.

There are 2 ways to convert XBRL to JSON:.

1. htm file: Provide the URL of the filing ending with either .htm or .html. Both direct links to the filing and the index page are acceptable.

2. xbrl file: Provide the URL of the filing XBRL file ending with .xml.

Response Format

The response represents a JSON object containing all financial statements, the cover page, and any custom items that the company deems important for publication.

Standardized financial statements are:

  • StatementsOfIncome
  • BalanceSheets
  • StatementsOfCashFlows
  • StatementsOfShareholdersEquity

Request Example

{
  "url": "https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
}

Response

<?php

$live_api_key = 'YOUR_API_TOKEN';
$url = "https://api.secfilingdata.com/v1/filings/XbrlToJson/";

$postData = [
    'url' => 'https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml'
];

$ch = curl_init($url);

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => json_encode($postData),
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: ' . $live_api_key
    ]
]);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo curl_error($ch);
}

curl_close($ch);

echo $response;
import requests

url = "https://api.secfilingdata.com/v1/filings/XbrlToJson/"

headers = {
    "Authorization": "YOUR_API_TOKEN",
    "Content-Type": "application/json"
}

payload = {
    "url": "https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.secfilingdata.com/v1/filings/XbrlToJson/";

const payload = {
    url: "https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
};

fetch(url, {
    method: "POST",
    headers: {
        "Authorization": "YOUR_API_TOKEN",
        "Content-Type": "application/json"
    },
    body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
const axios = require("axios");

const url = "https://api.secfilingdata.com/v1/filings/XbrlToJson/";

const payload = {
    url: "https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
};

axios.post(url, payload, {
    headers: {
        Authorization: "YOUR_API_TOKEN",
        "Content-Type": "application/json"
    }
})
.then(response => {
    console.log(response.data);
})
.catch(error => {
    console.error(error.response?.data || error.message);
});
curl -X POST "https://api.secfilingdata.com/v1/filings/XbrlToJson/" \
-H "Authorization: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
    "url":"https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
}'
package main

import (
    "bytes"
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://api.secfilingdata.com/v1/filings/XbrlToJson/"

    payload := []byte(`{
        "url":"https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
    }`)

    req, err := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    if err != nil {
        panic(err)
    }

    req.Header.Set("Authorization", "YOUR_API_TOKEN")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}

    res, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer res.Body.Close()

    body, _ := io.ReadAll(res.Body)

    fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {

        String json = """
        {
            "url":"https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
        }
        """;

        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create("https://api.secfilingdata.com/v1/filings/XbrlToJson/"))
                .header("Authorization", "YOUR_API_TOKEN")
                .header("Content-Type", "application/json")
                .POST(HttpRequest.BodyPublishers.ofString(json))
                .build();

        HttpClient client = HttpClient.newHttpClient();

        HttpResponse response = client.send(request, HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        using var client = new HttpClient();

        client.DefaultRequestHeaders.Add("Authorization", "YOUR_API_TOKEN");

        var json = @"{
            ""url"":""https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml""
        }";

        var content = new StringContent(json, Encoding.UTF8, "application/json");

        var response = await client.PostAsync(
            "https://api.secfilingdata.com/v1/filings/XbrlToJson/",
            content
        );

        var body = await response.Content.ReadAsStringAsync();

        Console.WriteLine(body);
    }
}
require 'net/http'
require 'uri'
require 'json'

uri = URI("https://api.secfilingdata.com/v1/filings/XbrlToJson/")

http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri)
request["Authorization"] = "YOUR_API_TOKEN"
request["Content-Type"] = "application/json"

request.body = {
  url: "https://www.sec.gov/Archives/edgar/data/1318605/000156459021004599/tsla-10k_20201231_htm.xml"
}.to_json

response = http.request(request)

puts response.body

Response Example

[
    {
        "coverPage": {
            "AmendmentFlag": "false",
            "DocumentFiscalYearFocus": "2020",
            "DocumentFiscalPeriodFocus": "FY",
            "EntityCentralIndexKey": "0001318605",
            "CurrentFiscalYearEndDate": "--12-31",
            "DocumentType": "10-K",
            "DocumentAnnualReport": "true",
            "DocumentPeriodEndDate": "12/31/2020",
            "DocumentTransitionReport": "false",
            "EntityFileNumber": "001-34756",
            "EntityRegistrantName": "Tesla, Inc.",
            "EntityTaxIdentificationNumber": "91-2197729",
            "EntityAddressAddressLine1": "3500 Deer Creek Road",
            "EntityAddressCityOrTown": "Palo Alto",
            "EntityAddressStateOrProvince": "CA",
            "EntityAddressPostalZipCode": "94304",
            "CityAreaCode": "650",
            "LocalPhoneNumber": "681-5000",
            "TradingSymbol": "TSLA",
            "EntityVoluntaryFilers": "No",
            "SecurityExchangeName": null,
            "EntityWellKnownSeasonedIssuer": "Yes",
            "EntityInteractiveDataCurrent": "Yes",
            "EntityCurrentReportingStatus": "Yes",
            "EntityFilerCategory": "Large Accelerated Filer",
            "EntitySmallBusiness": "false",
            "EntityEmergingGrowthCompany": "false",
            "IcfrAuditorAttestationFlag": "true",
            "EntityShellCompany": "false",
            "Security12bTitle": null,
            "EntityPublicFloat": null,
            "EntityCommonStockSharesOutstanding": null
        },
        "statementsOfIncome": {
            "RevenueFromContractWithCustomerExcludingAssessedTax": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "26184000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "19952000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "17632000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1994000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "1531000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "1555000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "24053000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "19212000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "15810000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "551000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "146000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "1403000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1580000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "594000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "419000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1477000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "1000000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "1056000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "2306000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "2226000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "1391000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "29967000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "23178000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "20079000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "72000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "555000000.0"
                },
                {
                    "decimals": -7,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1580000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "594000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "419000000.0"
                }
            ],
            "CostOfGoodsAndServicesSold": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "19696000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "15939000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "13686000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1976000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "1341000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "1365000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "350000000.0"
                }
            ],
            "GrossProfit": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "6630000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "4069000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "4042000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "6612000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "3879000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "3852000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "18000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "190000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "190000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "04/01/2020"
                    },
                    "value": "1234000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "04/01/2020",
                        "endDate": "07/01/2020"
                    },
                    "value": "1267000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "07/01/2020",
                        "endDate": "10/01/2020"
                    },
                    "value": "2063000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "10/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "2066000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "04/01/2019"
                    },
                    "value": "566000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "04/01/2019",
                        "endDate": "07/01/2019"
                    },
                    "value": "921000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "07/01/2019",
                        "endDate": "10/01/2019"
                    },
                    "value": "1191000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "10/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "1391000000.0"
                }
            ],
            "ResearchAndDevelopmentExpense": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1491000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "1343000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "1460000000.0"
                }
            ],
            "SellingGeneralAndAdministrativeExpense": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "3145000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "2646000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "2835000000.0"
                }
            ],
            "OperatingExpenses": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "4636000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "4138000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "4430000000.0"
                }
            ],
            "OperatingIncomeLoss": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1994000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "-69000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "-388000000.0"
                }
            ],
            "NonoperatingIncomeExpense": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "-122000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "45000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "22000000.0"
                }
            ],
            "IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1154000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "-665000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "-1005000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1154000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "-665000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "-1005000000.0"
                }
            ],
            "IncomeTaxExpenseBenefit": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "292000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "110000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "58000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "292000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "110000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "58000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "292000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "110000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "58000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "292000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "110000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "58000000.0"
                }
            ],
            "NetIncomeLoss": [
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "721000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "-862000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "-976000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "04/01/2020"
                    },
                    "value": "16000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "04/01/2020",
                        "endDate": "07/01/2020"
                    },
                    "value": "104000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "07/01/2020",
                        "endDate": "10/01/2020"
                    },
                    "value": "331000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "10/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "270000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "04/01/2019"
                    },
                    "value": "-702000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "04/01/2019",
                        "endDate": "07/01/2019"
                    },
                    "value": "-408000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "07/01/2019",
                        "endDate": "10/01/2019"
                    },
                    "value": "143000000.0"
                },
                {
                    "decimals": -6,
                    "unitRef": "iso4217:USD",
                    "period": {
                        "startDate": "10/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "105000000.0"
                }
            ],
            "EarningsPerShareBasic": [
                {
                    "decimals": 2,
                    "unitRef": null,
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "0.74"
                },
                {
                    "decimals": 2,
                    "unitRef": null,
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "-0.98"
                },
                {
                    "decimals": 2,
                    "unitRef": null,
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "-1.14"
                }
            ],
            "EarningsPerShareDiluted": [
                {
                    "decimals": 2,
                    "unitRef": null,
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "0.64"
                },
                {
                    "decimals": 2,
                    "unitRef": null,
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "-0.98"
                },
                {
                    "decimals": 2,
                    "unitRef": null,
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "-1.14"
                }
            ],
            "WeightedAverageNumberOfSharesOutstandingBasic": [
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "933000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "887000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "853000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "933000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "887000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "853000000"
                }
            ],
            "WeightedAverageNumberOfDilutedSharesOutstanding": [
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1083000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "887000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "853000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2020",
                        "endDate": "01/01/2021"
                    },
                    "value": "1083000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2019",
                        "endDate": "01/01/2020"
                    },
                    "value": "887000000"
                },
                {
                    "decimals": -6,
                    "unitRef": "shares",
                    "period": {
                        "startDate": "01/01/2018",
                        "endDate": "01/01/2019"
                    },
                    "value": "853000000"
                }
            ]
        },
]

Important:
Requests must use: Content-Type:application/json
POST body must be JSON encoded using:json_encode($postData)

HTTP Status Codes

Status Code Description
200 Successful request
204 No results found
400 Invalid request parameters
401 Unauthorized / Invalid token
500 Internal server error